Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions
Lucene::InvertedDocConsumerPerField Class Referenceabstract

`#include <InvertedDocConsumerPerField.h>`

Inheritance diagram for Lucene::InvertedDocConsumerPerField:

## Public Member Functions

virtual | ~InvertedDocConsumerPerField ()
virtual String | getClassName ()
boost::shared_ptr< InvertedDocConsumerPerField > | shared_from_this ()
virtual bool | start (Collection< FieldablePtr > fields, int32_t count)=0
| Called once per field, and is given all Fieldable occurrences for this field in the document. Return true if you wish to see inverted tokens for these fields. More...
virtual void | start (const FieldablePtr &field)=0
| Called before a field instance is being processed. More...
virtual void | add ()=0
| Called once per inverted token. More...
virtual void | finish ()=0
| Called once per field per document, after all Fieldable occurrences are inverted. More...
virtual void | abort ()=0
| Called on hitting an aborting exception. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~InvertedDocConsumerPerField()

virtual Lucene::InvertedDocConsumerPerField::~InvertedDocConsumerPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::InvertedDocConsumerPerField::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::InvertedDocConsumerPerField::abort | ( |  | ) |

pure virtual

Called on hitting an aborting exception.

Implemented in Lucene::TermsHashPerField.

## ◆ add()

virtual void Lucene::InvertedDocConsumerPerField::add | ( |  | ) |

pure virtual

Called once per inverted token.

Implemented in Lucene::TermsHashPerField.

## ◆ finish()

virtual void Lucene::InvertedDocConsumerPerField::finish | ( |  | ) |

pure virtual

Called once per field per document, after all Fieldable occurrences are inverted.

Implemented in Lucene::TermsHashPerField.

## ◆ getClassName()

virtual String Lucene::InvertedDocConsumerPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::TermsHashPerField.

## ◆ shared_from_this()

boost::shared_ptr< InvertedDocConsumerPerField > Lucene::InvertedDocConsumerPerField::shared_from_this | ( |  | ) |

inline

## ◆ start() [1/2]

virtual bool Lucene::InvertedDocConsumerPerField::start | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count
| ) |  |

pure virtual

Called once per field, and is given all Fieldable occurrences for this field in the document. Return true if you wish to see inverted tokens for these fields.

Implemented in Lucene::TermsHashPerField.

## ◆ start() [2/2]

virtual void Lucene::InvertedDocConsumerPerField::start | ( | const FieldablePtr & | field | ) |

pure virtual

Called before a field instance is being processed.

Implemented in Lucene::TermsHashPerField.

The documentation for this class was generated from the following file:

- InvertedDocConsumerPerField.h

clucene.sourceforge.net